module SingaporeCPFCalculator
  module ResidencyModuleCommon

    # @param [Date] date current date to which the age is calculated
    # @param [Date] birthdate
    # @return [#calculator] returns the CPF calculator that matches the age.
    def calculator_for(date, birthdate:)
      calculators.find { |calculator| calculator.applies_to? date, birthdate: birthdate, has_70_up: has_70_up }
    end

    def has_70_up
      false
    end

  end
end
