module SingaporeCPFCalculator
  module Year2022
    module CitizenOrSPR3

      # Payment calculator for Singapore's Central Provident Fund for employee's age 65 and above.
      class Age65To70ContributionCalculator < CitizenOrSpr3Base

        extend Requirements::GroupAbove65To70Years

        private

        def tc_rate_1
          "0.08"
        end

        def tc_rate_2
          "0.14"
        end

        def ec_rate
          "0.06"
        end

        def adjustment_rate
          "0.18"
        end

      end

    end
  end
end
