module SingaporeCPFCalculator
  module Year2022
    module SPR1FG

      # Payment calculator for Singapore's Central Provident Fund for employee's age 65 and above.
      class Age65To70ContributionCalculator < Year2016::Base

        extend Requirements::GroupAbove65To70Years

        private

        def tc_rate_1
          "0.08"
        end

        def tc_rate_2
          "0.13"
        end

        def ec_rate
          "0.05"
        end

        def adjustment_rate
          "0.15"
        end

      end

    end
  end
end
