module SingaporeCPFCalculator
  module Year2023
    module CitizenOrSPR3

      # Payment calculator for Singapore's Central Provident Fund for employee's age 65~70.
      class Age65To70ContributionCalculator < CitizenOrSpr3Base

        extend Requirements::GroupAbove65To70Years

        private

        def tc_rate_1
          "0.085"
        end

        def tc_rate_2
          "0.155"
        end

        def ec_rate
          "0.07"
        end

        def adjustment_rate
          "0.21"
        end

      end

    end
  end
end
