module SingaporeCPFCalculator
  module Year2023
    module SPR1FG

      # Payment calculator for Singapore's Central Provident Fund for employee's age 65~70.
      class Age65To70ContributionCalculator < Year2016::Base

        extend Requirements::GroupAbove65To70Years

        private

        def tc_rate_1
          "0.085"
        end

        def tc_rate_2
          "0.135"
        end

        def ec_rate
          "0.05"
        end

        def adjustment_rate
          "0.15"
        end

      end

    end
  end
end
