module SingaporeCPFCalculator
  module Year2023

    # For Singapore Permanent Resident (SPR) on their first year with graduated (G, partial)
    # employer contribution and graduated (G, partial) employee contribution
    module SPR2GG

      extend ResidencyModuleCommon
      extend SPR2GGCommon

      class << self

        private

        def calculators
          [
            SingaporeCPFCalculator::Year2022::SPR2GG::Age55BelowContributionCalculator,
            SingaporeCPFCalculator::Year2022::SPR2GG::Age55To60ContributionCalculator,
            SingaporeCPFCalculator::Year2022::SPR2GG::Age60To65ContributionCalculator,
            SingaporeCPFCalculator::Year2022::SPR2GG::Age65UpContributionCalculator,
          ]
        end

      end

    end

  end
end
